CIF_CORRECT_TAGS(1)

NAME
cif_correct_tags - correct misspelt tags in a CIF file and output made changes into the standard I/O streams. By default, only tags from CIF Core and CIF COD dictionaries with extra '^_+' prefixes are corrected. Additionally, a replacement list file can be provided for the correction of misspelt tags.

SYNOPSIS
cif_correct_tags --options input.cif input*.cif

DESCRIPTION
Correct misspelt tags in a CIF file and output made changes into the standard I/O streams. By default, only tags from CIF Core and CIF COD dictionaries with extra '^_+' prefixes are corrected. Additionally, a replacement list file can be provided for the correction of misspelt tags.

OPTIONS
--keep-tag-order
                  Keep the original tag order in CIF file. Default.

--sort-tags
                  Reorder tags in CIF file according to COD.

-r, --replacement-list 'replacement-file.lst'
                  Name of the multi-line replacement list file with
                  entries of form '_incorrect_tag _correct_tag' to be
                  used in the correction of misspelt tags.

--cif-input
                  Use CIF format for input. Default.

--json-input
                  Use JSON format for input.

--cif-output
                  Use CIF format for output. Default.

--json-output
                  Use JSON format for output.

--cif
                  Use CIF format for both input and output. Default.

--json
                  Use JSON format for both input and output.

--use-perl-parser
                  Use Perl parser to parse CIF files.

--use-c-parser
                  Use C parser to parse CIF files. Default.

--help, --usage
                  Output a short usage message (this message) and exit.

--version
                  Output version information and exit.

REPORTING BUGS
Report cif_correct_tags bugs using e-mail: cod-bugs@ibt.lt